[SCM] Packaging for original LIERO binary data branch, master, updated. upstream/1.33-24-gc6ae2cf

Martin Erik Werner martinerikwerner at gmail.com
Sat Jan 21 00:54:04 UTC 2012


The following commit has been merged in the master branch:
commit c22b0c93659b50edcdcad93c63643b5b657f4195
Author: Martin Erik Werner <martinerikwerner at gmail.com>
Date:   Fri Jan 20 00:02:05 2012 +0100

    inputfile as argument

diff --git a/extractsounds b/extractsounds
index b2e3985..3411ffb 100755
--- a/extractsounds
+++ b/extractsounds
@@ -1,6 +1,19 @@
 #!/bin/bash
 
-sndfile=LIERO.SND
+usage="Usage: $0 <inputfile>"
+
+if [ $# != 1 ]; then
+	echo $usage
+	exit 1
+fi
+
+if [ ! -r "$1" ]; then
+	echo "Unable to read file '"$1"'"
+	echo $usage
+	exit 1
+fi
+
+sndfile="$1"
 sounds=30
 header=2
 entrysize=16

-- 
Packaging for original LIERO binary data



More information about the Pkg-games-commits mailing list